Bug 1123424 - [RFE] Provide facility for scheduling reboots of VMs/Pools
Summary: [RFE] Provide facility for scheduling reboots of VMs/Pools
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Moran Goldboim
QA Contact: Israel Pinto
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 15:19 UTC by Tomas Dosek
Modified: 2019-04-28 08:40 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-06 15:48:39 UTC
oVirt Team: Virt
sherold: Triaged+


Attachments (Terms of Use)

Description Tomas Dosek 2014-07-25 15:19:58 UTC
Description of problem:

We've met several customers whose usecase requires rebooting VMs for instance once a day at night. For now all such cases are worked around by API script running in cron but given the amount of requests this might be nice to get implemented in webadmin.


Version-Release number of selected component (if applicable):
Any

Comment 2 Michal Skrivanek 2015-11-18 22:15:51 UTC
We have now API for reboot, is that not enough? Replicating cron capabilities doesn't sound worth the effort

Comment 3 Tomas Dosek 2015-12-07 12:37:23 UTC
For some of the customers API will be OK, but majority would really appreciate this to be possible directly from the UI.

Comment 4 Yaniv Kaul 2016-11-20 09:01:45 UTC
(In reply to Tomas Dosek from comment #3)
> For some of the customers API will be OK, but majority would really
> appreciate this to be possible directly from the UI.

Is Ansible, the new kid on the block, good enough? We can provide a sample, if needed.

Comment 5 Tomas Dosek 2016-12-01 16:42:45 UTC
While Ansible is a potential solution to the problem, I think customers would appreciate the functionality without having to buy another SKU.

Functionality-wise I agree with you, it's a solution to this problem.
This might require a PM decision of what we want to provide in the product itself and what should be provided outside of the product.

Comment 6 Yaniv Kaul 2016-12-01 17:21:11 UTC
(In reply to Tomas Dosek from comment #5)
> While Ansible is a potential solution to the problem, I think customers
> would appreciate the functionality without having to buy another SKU.

It's not Tower, Just Ansible. 
> 
> Functionality-wise I agree with you, it's a solution to this problem.
> This might require a PM decision of what we want to provide in the product
> itself and what should be provided outside of the product.

Comment 7 Martin Tessun 2018-07-06 15:48:39 UTC
As Ansible should be able to do the job and these kind of "cron" jobs should not be done in the UI, closing this one.

Feel free to reopen with justification if there is a real need.


Note You need to log in before you can comment on or make changes to this bug.